﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MenuAdvKeyboardNavBroken
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public ObservableCollection<MenuItemAdv> MenuItems { get; private set; }
        public MainWindow()
        {
            InitializeComponent();

            this.MenuItems = new ObservableCollection<MenuItemAdv>();

            var menuItemFirst = new MenuItemAdv() { Header = "File" };
            var menuItemFirst1 = new MenuItemAdv() { Header = "View" };
            var menuItemFirst2 = new MenuItemAdv() { Header = "Window" };
            var menuItemLast = new MenuItemAdv() { Header = "Help" };

            this.MenuItems.Add(menuItemFirst);
            this.MenuItems.Add(menuItemFirst1);
            this.MenuItems.Add(menuItemFirst2);
            this.MenuItems.Add(menuItemLast);

            this.DataContext = this;

        }

        private void AddItemsCommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            this.MenuItems.Insert(1, new MenuItemAdv() { Header = "Edit" });
        }
    }
}
